Bug 455552 - xorg hangs on startup
xorg hangs on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-16 01:46 EDT by Boris Zbarsky
Modified: 2009-07-14 13:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:32:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf that shows the problem (with the manual 4x agp setting, but commenting that line out uses 4x by default) (2.96 KB, text/plain)
2008-07-16 10:11 EDT, Boris Zbarsky
no flags Details
Corresponding log (33.59 KB, text/plain)
2008-07-16 10:11 EDT, Boris Zbarsky
no flags Details
Log from running without an xorg.conf: also reproduces the bug (36.55 KB, text/plain)
2008-07-16 10:15 EDT, Boris Zbarsky
no flags Details

  None (edit)
Description Boris Zbarsky 2008-07-16 01:46:11 EDT
Description of problem:
I just installed FC9 and xorg hangs on startup.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.905-1.20080701.fc9.i386

How reproducible:
Every time

Steps to Reproduce:
1.  Boot the computer into runlevel 5 or telinit 5
2.  Watch X hang (100% CPU usage by Xorg)
  
Actual results:  Hang, no X comes up.

Expected results: X works.

Additional info:
I have a Radeon 9000 graphics card.  Some experimentation shows that disabling
DRI for the driver allows X to start without hanging... but of course without
DRI, which is quite suboptimal.

I tried to profile to see whether I could get any info on the hang, but even
with all the relevant X debuginfo packages installed I didn't get much.  sysprof
says that all the time is spent in the kernel, called from X.

If there is any more information that I can provide that would help resolve
this, I would be very happy to do so in the next two days.  After that I won't
have access to this machine for three weeks.

The point of installing Fedora Core on this machine was to do some graphics
performance testing on Firefox, so this bug is basically making the computer
useless to me for its intended purpose...
Comment 1 Dave Airlie 2008-07-16 02:07:52 EDT
is this an AGP box? please try adding Option "AGPMode" "1" or Option "BusType"
"PCI" to the xorg.conf
Comment 2 Matěj Cepl 2008-07-16 05:32:55 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Boris Zbarsky 2008-07-16 10:07:45 EDT
Yeah, this is an AGP box.  Setting AGPMode to 1 or 2, or setting BusType to PCI
does in fact make the problem go away.  Setting AGPMode to 4 makes it reappear.
 The default if I don't set anything is 4, looks like.  The X server log from
when things don't work has:

  (==) RADEON(0): Using AGP 4x

4x AGP is enabled in the BIOS.

What's odd is that my previous install (FC 4, to be exact) worked with this same
setup.  Perhaps it didn't try to use 4x AGP?
Comment 4 Boris Zbarsky 2008-07-16 10:11:32 EDT
Created attachment 311954 [details]
xorg.conf that shows the problem (with the manual 4x agp setting, but commenting that line out uses 4x by default)
Comment 5 Boris Zbarsky 2008-07-16 10:11:54 EDT
Created attachment 311955 [details]
Corresponding log
Comment 6 Boris Zbarsky 2008-07-16 10:15:06 EDT
Created attachment 311956 [details]
Log from running without an xorg.conf: also reproduces the bug
Comment 7 Boris Zbarsky 2008-07-16 10:49:29 EDT
With AGPMode set to 2, X starts, but everything dies as soon as I start emacs. 
With AGPMode set to 1, things seem to be OK.
Comment 8 Bug Zapper 2009-06-09 22:06:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 13:32:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.